-- Version : English (by Gearshaft)

EA_CommandColor = "|cffffffff";
EA_SettingColor = "|cff80ff80";

-- <= == == == == == == == == == == == == =>
-- => Bindings
-- <= == == == == == == == == == == == == =>

BINDING_HEADER_ENHANCEDASSIST		= "Enhanced Assist";


-- <= == == == == == == == == == == == == =>
-- => Slash Commands
-- <= == == == == == == == == == == == == =>

SLASH_ENHANCEDASSIST1 = "/ea";
SLASH_ENHANCEDASSIST2 = "/enhancedassist";
SLASH_ENHANCEDASSIST3 = "/eassist";


-- <= == == == == == == == == == == == == =>
-- => Frame Variables
-- <= == == == == == == == == == == == == =>

ENHANCEDASSIST_SET_MA_CALLS			= "Set Main assist calls to: ";
ENHANCEDASSIST_SET_SA_CALLS			= "Set Secondary assist calls to: ";
ENHANCEDASSIST_SET_MA				= "Main assist set to: ";
ENHANCEDASSIST_SET_SA				= "Secondary assist set to: ";
ENHANCEDASSIST_AUTOASSIST_CALLS		= "Auto-assist on call set to: ";
ENHANCEDASSIST_TRANSPARENCY_SET		= "Transparency set to: ";
ENHANCEDASSIST_TRANSPARENCY_USAGE	= "Transparency currently set to: ";
ENHANCEDASSIST_BANNER_CALLS			= "Banner message on assist change set to: ";
ENHANCEDASSIST_HIDEOOG				= "Assist window state out of group, set to: ";
ENHANCEDASSIST_DEBUG_MESSAGES		= "Printing of debug information set to: ";
ENHANCEDASSIST_MODE_SETTING			= "User mode set to: ";
ENHANCEDASSIST_NO_ASSIST_SET		= "None set";


-- <= == == == == == == == == == == == == =>
-- => Assist Frome texts
-- <= == == == == == == == == == == == == =>

ENHANCEDASSISTFRAME_TITLE			= "Assisting";
ENHANCEDASSISTFRAME_CURRENTMALABEL	= "MA:";
ENHANCEDASSISTFRAME_CURRENTSALABEL	= "SA:";
ENHANCEDASSISTFRAME_CURRENTMHLABEL	= "MH:";
ENHANCEDASSISTFRAME_CURRENTSHLABEL	= "SH:";


-- <= == == == == == == == == == == == == =>
-- => UI Tooltip Messages
-- <= == == == == == == == == == == == == =>

EA_ASSISTWINDOW_TOOLTIP				= "Right-click and drag to move.";
EA_SETMAINASSIST_TOOLTIP			= "Click to set new Main Assist to current target.";
EA_SETSECONDASSIST_TOOLTIP			= "Click to set new Second Assist to current target.";
EA_CURRENTMAINASSIST_TOOLTIP		= "Click to assist the Main Assist.";
EA_CURRENTSECONDASSIST_TOOLTIP		= "Click to assist the Second Assist.";
EA_UISHOWBUTTON_TOOLTIP				= "Open the Options Window.";
EAOF_RESETBUTTON_TOOLTIP			= "This will clear your settings\nand return them to default.";
EAOFSO_MODES_DROPDOWN_TOOLTIP		= "Set this to your role in the group.";
EAOFSO_SOUNDASSIST_DROPDOWN_TOOLTIP	= "Sets the notification sound\nfor incoming Assist calls.";
EAOFSO_SOUNDSTOP_DROPDOWN_TOOLTIP	= "Sets the notification sound\nfor incoming Stop DPS calls.";
EAOFSO_AUTOASSIST_TOOLTIP			= "Auto Assist will automatically\nchange your target when\nassist call is made.";
EAOFSO_SHOWBANNER_TOOLTIP			= "See important messages in the\ntop center of your screen.";
EAOFSO_COLORPICKER_BANNER_TOOLTIP	= "Set the color for Banner messages.";
EAOFSO_SHOWASSISTWINDOW_TOOLTIP		= "Show or hide the assisting window.";
EAOFSO_HIDEOOG_TOOLTIP				= "This will automatically hide the\nassisting window when you are\nnot in a raid or party.";
EAOFSO_FLASHASSIST_TOOLTIP			= "This option flashes your screen\nwhen an assist is called.\n" .. EA_CommandColor .. "(Uses the addon \"Emergency\")|r";


-- <= == == == == == == == == == == == == =>
-- => UI Texts
-- <= == == == == == == == == == == == == =>

EAOF_TITLE							= "EnhancedAssist Options";
EAOF_MABOXLABEL						= "Main Assist";
EAOF_SABOXLABEL						= "Secondary Assist";
EAOF_MHBOXLABEL						= "Main Healer";
EAOF_SHBOXLABEL						= "Secondary Healer";
EAOFSO_MODES_DROPDOWN_LABEL			= "User Mode";
EAOFSO_SOUNDASSIST_DROPDOWN_LABEL	= "Assist-Call Sound";
EAOFSO_SOUNDSTOP_DROPDOWN_LABEL		= "Stop-Call Sound";
EAOFSO_AUTOASSIST_LABEL				= "Auto Assist";
EAOFSO_SHOWBANNER_LABEL				= "Show Assist Banner Messages";
EAOFSO_HIDEOOG_LABEL				= "Hide Assist Window out of Group"
EAOFSO_FLASHASSIST_LABEL			= "Flash screen on assist calls"
EAOFSO_SHOWASSISTWINDOW_LABEL		= "Show Assisting Window";
EAOFSO_TRANSSLIDER_LABEL			= "Assisting window opacity: ";



EA_DefaultColors = {
	["Help"]	= {	["r"] = 1.0, ["g"] = 1.0, ["b"] = 0.0,	},
	["Message"]	= {	["r"] = 0.5, ["g"] = 0.5, ["b"] = 0.9,	},
	["Error"]	= {	["r"] = 0.9, ["g"] = 0.0, ["b"] = 0.0,	},
	["Debug"]	= {	["r"] = 0.7, ["g"] = 0.1, ["b"] = 0.4,	},
	["Banner"]	= {	["r"] = 0.5, ["g"] = 0.5, ["b"] = 0.9,	},
};

EA_Modes = {
	[1] = "DPS",
	[2] = "Tank",
	[3] = "Healer",
};

EA_Sounds = {
	["-None-"] = "",
	["Click"] = "Interface\\Addons\\EnhancedAssist\\Sounds\\click.wav",
	["Buzzer"] = "Interface\\Addons\\EnhancedAssist\\Sounds\\buzzer.wav",
	["Whistle"] = "Interface\\Addons\\EnhancedAssist\\Sounds\\whistle.wav",
	["Ragnaros"] = "Sound\\Creature\\Ragnaros\\RagnarosSpecialAttack02.wav",
	["Picard"] = "Interface\\Addons\\EnhancedAssist\\Sounds\\picard.wav",
};
